Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.core.transaction
Interface TransactionLog

public interface TransactionLog

TransactionLog represents a dbXML Transaction Log

Method Summary
`void` | `cancel(Transaction tx)` cancel ends a transaction participation for the current Collection and Thread.
`void` | `commit(Transaction tx)` commit ends a transaction participation for the current Collection and Thread.
`int` | `getTransactionCount()` getTransactionCount returns the number of active Transactions that have registered with this Transaction Log.
`java.util.Iterator` | `getTransactions()` getTransactions returns an Iterator of the active Transactions that have registered with this Transaction Log.
`void` | `start(Transaction tx)` start Starts a transaction participation for the current Collection and binds the specified Transaction to the current Thread.

Method Detail

### start

    public void start(Transaction tx)
               throws TransactionException

  start Starts a transaction participation for the current Collection and binds the specified Transaction to the current Thread. More than one Transaction may be bound to the current Thread ay any one time.

  Parameters:
    `tx` - The Transaction to bind
  Throws:
    `TransactionException`

### commit

    public void commit(Transaction tx)
                throws TransactionException

  commit ends a transaction participation for the current Collection and Thread. Any log entries that have accumulated will be commited to the Collection.

  Parameters:
    `tx` - The Transaction to commit
  Throws:
    `TransactionException`

### cancel

    public void cancel(Transaction tx)
                throws TransactionException

  cancel ends a transaction participation for the current Collection and Thread. Any log entries that have accumulated will be rolled back (thrown away).

  Parameters:
    `tx` - The Transaction to cancel
  Throws:
    `TransactionException`

### getTransactionCount

    public int getTransactionCount()
                            throws TransactionException

  getTransactionCount returns the number of active Transactions that have registered with this Transaction Log.

  Returns:
    The Transaction count
  Throws:
    `TransactionException`

### getTransactions

    public java.util.Iterator getTransactions()
                                       throws TransactionException

  getTransactions returns an Iterator of the active Transactions that have registered with this Transaction Log.

  Returns:
    An Iterator over the active Transactions
  Throws:
    `TransactionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group